.workspace
  height: 100%
  display: flex
  flex-direction: column
  &__header
    font-size: 15px
    font-weight: 600
    margin-bottom: 20px
    a
      display: flex
      align-items: center
      cursor: pointer
      span
        padding-left: 15px
        color: $head-link
        letter-spacing: 0.29px
  &-description
    height: auto
    max-width: 1089px
    border: 1px solid $detail-border-color
    border-radius: 3px
    background-color: #FFFFFF
    margin: 0 auto
    padding: 20px
    box-sizing: border-box
    &.hide
      p
        height: 136px
    h2
      color: $head-link
      font-size: 21px
      font-weight: 600
      letter-spacing: 0.4px
      line-height: 32px
    p
      color: $head-link
      font-weight: 400
      font-size: 15px
      letter-spacing: 0.29px
      line-height: 23px
      overflow: hidden
    span
      color: $button-primary
      cursor: pointer
      font-size: 13px
      font-weight: 600
      line-height: 24px
      text-decoration: underline
  &-body
    max-width: 1089px
    margin: 30px auto 0
    width: 100%
    height: 100%
    &-content
      display: flex
      height: 80%
      &.teacher
        .workspace-users
          margin-right: 0
          height: 500px
        .editor
          margin-left: 0
      .loading, .editor
        flex: 1 1
        margin-left: 10px
        margin-top: 10px
      .editor
        background: white
        border: 1px solid $detail-border-color
        padding: 15px 5px 10px 20px
        div
          outline: none
          width: 100%
          height: 100%
          border-color: white
          user-select: none
          p
            line-height: 20px
            margin-bottom: 10px
            display: flex
            flex-wrap: wrap
            min-width: 100%
            box-sizing: border-box
            min-height: 20px
          span
            min-width: 4.2px
            border-bottom: 1px solid rgba(0,0,0,0)

    header
      display: flex
      justify-content: center
      position: relative
      h3
        color: $head-link
        font-size: 21px
        font-weight: 600
        letter-spacing: 0.4px
        line-height: 32px
      div
        position: absolute
        right: 0
        top: 4px
      p
        display: inline-block
        padding: 0 0 0 10px
        font-style: italic
        span
          font-weight: 600
  &-users
    margin-top: 10px
    height: 252px
    width: 216px
    border: 1px solid $detail-border-color
    border-radius: 3px
    background-color: #FFFFFF
    margin-right: 9px
    padding: 16px 9px 16px 16px
    &-list
      height: 100%
      overflow: scroll
      .item
        font-size: 13px
        font-weight: 600
        line-height: 20px
        margin-bottom: 10px
  footer
    margin-top: 30px
    display: flex
    justify-content: flex-end
    button:first-of-type
      margin-right: 60px
